createhdf(1)

1

NAME
createhdf — Create a blank IDE hard disk image in .hdf format

SYNOPSIS
createhdf [ -c ] [ -s ] [-v version] cylinders heads sectors file

DESCRIPTION
createhdf creates a blank image of an IDE hard disk in .hdf format for use with Sinclair ZX Spectrum emulators.

OPTIONS

-c  specifies that the .hdf image should be created in `compact' mode, where only the low byte of every word is stored in the image. This is useful for saving space if the hard disk image is for use with an interface which accesses only the low byte of every word.

-s  specifies that the .hdf image should not be created as a sparse file. Normally, createhdf will attempt to create the hard disk image as a `sparse file', where the operating system knows that the file consists mostly of zero bytes and fills those in without using any space in the file. This option disables this. (There's nothing `magic' about this: if data is written to the file, it will take up space just like any other data; it's only empty space which is synthesised by the operating system).

-v version
    specifies the version of .hdf image to be created. Valid values are `1.0' for a version 1.0 file and `1.1' for a version 1.1 file. Defaults to creating version 1.1 files.

-h, --help
    give brief usage help, listing available options.

-V, --version
    output version information.

cylinders
    specifies the number of cylinders in the image.

heads
    specifies the number of heads in the image.

sectors
    specifies the number of sectors in the image.

file
    specifies the file to which the image should be written.

BUGS
None known.

SEE ALSO
fuse(1), fuse-utils(1), libspectrum(3)

The .hdf format specification, at
http://www.zxshed.co.uk/sinclairfaq/index.php5?title=HDF_format.

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Philip Kendall (philip-fuse@shadowmagic.org.uk).